Holger's Java API

## com.antelmann.db
Class DBVersionedUpdateEvent

    java.lang.Object
      java.util.EventObject
          com.antelmann.db.DBUpdateEvent
              com.antelmann.db.DBVersionedUpdateEvent

All Implemented Interfaces:
  Timed, Serializable

    public class DBVersionedUpdateEvent

extends DBUpdateEvent

this special update event extends a standard event by including the actual entry state before and after the update.

Since:
  22.04.2010, 17:03:11
Author:
  Holger Antelmann
See Also:
  `Database.setVersioningEnabled(Class, boolean)`, `DatabaseChangeListener`, Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Fields inherited from interface com.antelmann.calendar.Timed
`COMPARATOR, DATE_EXTRACTOR`

Constructor Summary
`DBVersionedUpdateEvent(DBUpdateEvent updateEvent, DBEntry oldVersion, DBEntry newVersion)`

Method Summary
`DBEntry` `getNewVersion()` in case of `DBClassStore.DBMethod.DELETE` or `DBClassStore.DBMethod.DELETE_MULTIPLE`, the return value is always null.
`DBEntry` `getOldVersion()` in case of `DBClassStore.DBMethod.INSERT`, `DBClassStore.DBMethod.INSERT_AS_NEW` or `DBClassStore.DBMethod.DELETE_MULTIPLE`, the return value is always null.

Methods inherited from class com.antelmann.db.DBUpdateEvent
`getOption, getParameter, getReturnValue, getSource, getTime, getType, getUser, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DBVersionedUpdateEvent

    public DBVersionedUpdateEvent(DBUpdateEvent updateEvent,
                                  DBEntry oldVersion,
                                  DBEntry newVersion)

Method Detail

### getOldVersion

    public DBEntry getOldVersion()

  in case of `DBClassStore.DBMethod.INSERT`, `DBClassStore.DBMethod.INSERT_AS_NEW` or `DBClassStore.DBMethod.DELETE_MULTIPLE`, the return value is always null.

### getNewVersion

    public DBEntry getNewVersion()

  in case of `DBClassStore.DBMethod.DELETE` or `DBClassStore.DBMethod.DELETE_MULTIPLE`, the return value is always null.

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads